!--------------------
!  definition de la donne initiale
!--------------------

module mod_ci

  use mod_precision

contains

  function ci(x,y,L) result(f0)

    implicit none

    real(pr), intent(in) :: L
    real(pr), dimension(:),intent(in) :: x,y
    real(pr), dimension(1:size(x),1:size(y)) :: f0
    integer :: i,j

    !--- exemple 1 : fonction caracteristique disque (pour L=10 et h=1)
    do i=1,size(x)
       do j=1,size(y)
          if (((x(i)-L/8._pr)**2+y(j)**2)>(L/32._pr)**2) then
             f0(i,j)=0._pr
          else
             f0(i,j)=1._pr
          end if
       end do
    end do

!!$    !--- exemple 2 : fonction caracteristique disque (pour L=1 et h=0.5)
!!$    do i=1,size(x)
!!$       do j=1,size(y)
!!$          if (((x(i)-0.75_pr)**2+y(j)**2)>0.0625_pr**2) then
!!$             f0(i,j)=0._pr
!!$          else
!!$             f0(i,j)=1._pr
!!$          end if
!!$       end do
!!$    end do


  end function ci

end module mod_ci
